Bug 1286 - password change ctrl-alt-del from w2k
password change ctrl-alt-del from w2k
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.2a
Other other
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-22 12:48 UTC by ben saidani
Modified: 2005-08-24 10:26 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ben saidani 2004-04-22 12:48:04 UTC
changing a password using crtl-alt-del from w2k does not work properly.
I am using RedHat 9 samba-3.0.2a Openldap - configuration as a PDC.
I am using passwd program = /usr/local/sbin/smbldap-passwd -o %u
Under Samba-2.2.8a ( Before the Migration everything  was OK )
After the migration that was successfull - I got the following error:
decode_pw_buffer: incorrect password length <some big number>
decode_pw_buffer: check that 'encrypt passwords = yes'

This error comes from the libsmb/smbencrypt.c

If I edit unix passwd sync = no
everything works
If I edit ldap passwd sync = Yes
everything works also (ldap password will be synchronized with w2k)

I tried with the last samba:  samba-3.0.3rc1 ( same thing )

Thank You
Ben Saidani
System Administrator
Litens Automotive
Comment 1 takeuchi 2004-04-27 00:20:07 UTC
The same problem has occurred also in my company. 

This error occurs, after applying the Windows patch KB828741.
After I removed patch KB828741, problem was gone.
But we can't remove patch KB828741.
Comment 2 Gerald (Jerry) Carter 2005-02-09 06:16:34 UTC
This was fixed sometime around 3.0.6 I think.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:26:28 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.